# \Query\Drivers\PgsqlUtil

Posgres-specific backup, import and creation methods

## Summary

Methods
Properties
Constants
__construct()
get_driver()
create_table()
delete_table()
backup_structure()
backup_data()
quote_ident()
quote_table()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$conn
N/A

File
  src/Query/Drivers/Pgsql/Util.php
Package
  Query\Drivers
Class hierarchy
  \Query\Abstract_Util
  \Query\Drivers\Pgsql\Util

## Tags

None found

## Properties

### $conn

    $conn :

Reference to the current connection object

#### Type

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

## Methods

### __construct()

    __construct(\Query\Driver_Interface  $conn)

Save a reference to the connection object for later use

#### Parameters

\Query\Driver_Interface | $conn |

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

### get_driver()

    get_driver() : \Query\Driver_Interface

Get the driver object for the current connection

#### Returns

\Query\Driver_Interface

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

### create_table()

    create_table(string  $name, array  $fields, array  $constraints = array(), boolean  $if_not_exists = TRUE) : string

Convenience public function to generate sql for creating a db table

#### Parameters

string | $name |
array | $fields |
array | $constraints |
boolean | $if_not_exists |

#### Returns

string

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

### delete_table()

    delete_table(string  $name) : string

Drop the selected table

#### Parameters

string | $name |

#### Returns

string

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

### backup_structure()

    backup_structure() : string

Create an SQL backup file for the current database's structure

#### Returns

string

#

## Tags

None found

### backup_data()

    backup_data(array  $exclude = array()) : string

Create an SQL backup file for the current database's data

#### Parameters

array | $exclude |

#### Returns

string

#

## Tags

None found

### quote_ident()

    quote_ident(string  $sql) : string

#### Parameters

string | $sql |

#### Returns

string

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

### quote_table()

    quote_table(string  $sql) : string

#### Parameters

string | $sql |

#### Returns

string

#

Inherited from
  \Query\Abstract_Util

## Tags

None found

### Util.php